This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 992975 - (CVE-2013-4276) CVE-2013-4276 lcms: Stack-based buffer overflows in ColorSpace conversion calculator and TIFF compare utility
CVE-2013-4276 lcms: Stack-based buffer overflows in ColorSpace conversion cal...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130804,repor...
: Security
: 991757 (view as bug list)
Depends On: 992978 992979
Blocks: 992984 1000074
  Show dependency treegraph
 
Reported: 2013-08-05 06:41 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch from Debian bug #718682 (2.82 KB, patch)
2013-08-05 06:46 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2013-08-05 06:41:50 EDT
Three (two in ColorSpace conversion calculator, one in TIFF compare utility) stack-based buffer overflow flaws were found in the way icctrans / tiffdiff tools of LittleCMS, the color management system, used to process certain ICC color profile / TIFF image format files. Remote attacker could provide a specially-crafted ICC color profile / TIFF image format files that, when opened in color space conversion calculator (icctrans) or TIFF compare utility (tiffdiff) of LittleCMS would lead to that utility crash.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718682
[2] http://www.openwall.com/lists/oss-security/2013/08/05/2
Comment 1 Jan Lieskovsky 2013-08-05 06:44:02 EDT
This issue affects the (latest) versions of the lcms package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the (latest) versions of the lcms package, as shipped with Fedora release of 18 and 19. Please schedule an update (once there's final patch version agreement available).
Comment 2 Jan Lieskovsky 2013-08-05 06:46:04 EDT
Created attachment 782749 [details]
Proposed patch from Debian bug #718682

which is reported to having issues:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718682#10
Comment 5 Jan Lieskovsky 2013-08-05 06:48:15 EDT
Created lcms tracking bugs for this issue:

Affects: fedora-all [bug 992979]
Comment 7 Vincent Danen 2013-08-22 11:45:10 EDT
*** Bug 991757 has been marked as a duplicate of this bug. ***
Comment 8 Vincent Danen 2013-08-22 11:49:24 EDT
This was assigned CVE-2013-4276:

http://www.openwall.com/lists/oss-security/2013/08/22/3
Comment 11 Huzaifa S. Sidhpurwala 2014-01-08 04:38:46 EST
Statement:

This issue affects the version of lcms package as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having moderate security impact, a future update may address this flaw.
Comment 12 Fedora Update System 2015-04-23 12:08:10 EDT
lcms-1.19-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.